ON_Color Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_color.h>`

## Public Member Functions

| ON_Color ()
| ON_Color (int red, int green, int blue)
| ON_Color (int red, int green, int blue, int alpha)
| ON_Color (unsigned int)
| operator unsigned int () const
unsigned int | WindowsRGB () const
int | Compare (const ON_Color &) const
int | Red () const
int | Green () const
int | Blue () const
int | Alpha () const
double | FractionRed () const
double | FractionGreen () const
double | FractionBlue () const
double | FractionAlpha () const
void | SetRGB (int red, int green, int blue)
void | SetFractionalRGB (double red, double green, double blue)
void | SetAlpha (int alpha)
void | SetFractionalAlpha (double alpha)
void | SetRGBA (int red, int green, int blue, int alpha)
void | SetFractionalRGBA (double red, double green, double blue, double alpha)
double | Hue () const
double | Saturation () const
double | Value () const
void | SetHSV (double h, double s, double v)

## Static Public Attributes

static const ON_Color | UnsetColor

## Detailed Description

Definition at line 24 of file opennurbs_color.h.

## Constructor & Destructor Documentation

ON_Color::ON_Color | ( |  | ) |

ON_Color::ON_Color | ( | int | red,
|  | int | green,
|  | int | blue
| ) |  |

ON_Color::ON_Color | ( | int | red,
|  | int | green,
|  | int | blue,
|  | int | alpha
| ) |  |

ON_Color::ON_Color | ( | unsigned | int | ) |

## Member Function Documentation

int ON_Color::Alpha | ( |  | ) | const

int ON_Color::Blue | ( |  | ) | const

int ON_Color::Compare | ( | const ON_Color & |  | ) | const

double ON_Color::FractionAlpha | ( |  | ) | const

double ON_Color::FractionBlue | ( |  | ) | const

double ON_Color::FractionGreen | ( |  | ) | const

double ON_Color::FractionRed | ( |  | ) | const

int ON_Color::Green | ( |  | ) | const

double ON_Color::Hue | ( |  | ) | const

ON_Color::operator unsigned int | ( |  | ) | const

int ON_Color::Red | ( |  | ) | const

double ON_Color::Saturation | ( |  | ) | const

void ON_Color::SetAlpha | ( | int | alpha | ) |

void ON_Color::SetFractionalAlpha | ( | double | alpha | ) |

void ON_Color::SetFractionalRGB | ( | double | red,
|  | double | green,
|  | double | blue
| ) |  |

void ON_Color::SetFractionalRGBA | ( | double | red,
|  | double | green,
|  | double | blue,
|  | double | alpha
| ) |  |

void ON_Color::SetHSV | ( | double | h,
|  | double | s,
|  | double | v
| ) |  |

void ON_Color::SetRGB | ( | int | red,
|  | int | green,
|  | int | blue
| ) |  |

void ON_Color::SetRGBA | ( | int | red,
|  | int | green,
|  | int | blue,
|  | int | alpha
| ) |  |

double ON_Color::Value | ( |  | ) | const

unsigned int ON_Color::WindowsRGB | ( |  | ) | const

## Member Data Documentation

const ON_Color ON_Color::UnsetColor

static

Definition at line 29 of file opennurbs_color.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_color.h